/*
 * LocalBroadcasterActionController.h
 *
 *  Created on: 22 May 2017
 *      Author: lenka
 */

#ifndef SRC_EPUCK_ACTIONCONTROL_LOCALBROADCASTERACTIONCONTROLLER_H_
#define SRC_EPUCK_ACTIONCONTROL_LOCALBROADCASTERACTIONCONTROLLER_H_

#include <BaseActionController.h>

class LocalBroadcasterActionController : public BaseActionController {
public:
	LocalBroadcasterActionController(Robot* robot_, PathPlanner* pathPlanner_, EPuckBoardController* epuckBoardController_);
	virtual ~LocalBroadcasterActionController();

	BaseActionController::STATE ProcessCurrentState(uint64_t timeStamp_);

protected:
	void Scout();
	void ProcessWorksite();
};

#endif /* SRC_EPUCK_ACTIONCONTROL_LOCALBROADCASTERACTIONCONTROLLER_H_ */
